
.grid-container-100 {
    display: grid;
    width: 100%;
    margin: 0 auto;
}
/*impostato container con 2 colonne e 1 riga*/
.grid-container-2 {
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: 1fr;
    display: grid;
    column-gap: 30px;
}

.grid-container-2-3{
    grid-template-columns: 2fr 3fr;
    display: grid;
    column-gap: 15px;
}
.grid-container-3-1{
    grid-template-columns: 3fr 1fr;
    display: grid;
    column-gap: 60px;
}
.grid-container-2-prodotto_griglia{
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: 350px auto auto;
}

/*impostato container con 3 colonne (sinistra e destra strette, centrale più larga)*/
.grid-container-3-logo{
    grid-template-columns: 1fr 3fr 1fr;
}

.grid-container-4{
    grid-template-columns: 3fr 1fr;
    display: grid;
}
.grid-container-8-4{
    grid-template-columns: 2fr 1fr;
    display: grid;
}

.grid-container-2-prodotto_griglia .related.products{
    grid-column: 1/3;
    grid-row-start: 3;
}

.inside_box-prodotto{
    grid-template-rows: auto minmax(200px, auto);
    display: grid;
}

.inside_box-prodotto .information{
    grid-template-rows: minmax(65px, 100px) auto;
    display: grid;
}

.fascia-top-pagine-2020 {
    background-image: linear-gradient(rgba(255, 255, 255, 0.67), rgba(0, 0, 0, 0.5)), url(../i/elfa-elettronica-bg.jpg);
    padding: 20px 0 30px;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    margin-top: -50px;
    z-index: 1;
}

.fascia-top-pagine-content {
    min-height: 300px;
    margin-bottom: 25px;
    position: relative;
    z-index: 2;
}

.fascia-top-pagine-2020 *{
    color: #fff !important;
}

.grid-container-1 { display: grid; grid-template-columns: 1fr;}

@media (min-width: 1500px) {
    .grid-container {
        display: grid;
        width: 1400px;
        margin: 0 auto;
    }
    .grid-container-small {
        display: grid;
        width: 935px;
        margin: 0 auto;
    }
}
@media (min-width: 900px) {
    .grid-container-news {
        width: 50% !important;
    }
    .fascia-news{
        grid-template-columns: repeat(3, 1fr);
        display: grid;
        margin-bottom: 25px;
        column-gap: 30px;
    }
    /*header test*/
    #row_logo {
        grid-template-columns: 1fr 6fr;
        grid-template-rows: 2fr;
        display: grid;
        align-items: center;
    }
    .fascia-news.index{
        grid-template-columns: repeat(3, 1fr);
        column-gap: 30px;
        row-gap: 30px;
    }
    
    #row_logo #logo{
        grid-row-start: 1;
        grid-row-end: 3;
    }
    .grid-item.right_logo_grid {
        text-align: right;
    }
    .grid-item.menu_header div{
        float: right;
    }
    
    .grid-help-list{
        text-align: center;
    }
    .hero-button.grid-item{
        grid-template-columns: 1fr;
    }
    
    .grid-item.contenuto.eventi{
        grid-template-columns: repeat(3, 1fr);
        display: grid;
        grid-column-gap: 20px;
    }
    
    /**/
    .grid-service-list-1{ 
        grid-template-columns: repeat(3, 1fr);
        display: grid;
        grid-column-gap: 30px;
        margin-top:  70px;
        z-index: 50;
    }
    .grid-service-list-2{ 
        grid-template-columns: repeat(3, 1fr);
        display: grid;
        column-gap: 30px;
        row-gap: 30px;
    }
    .grid-container.help{
        grid-template-columns: repeat(2, 1fr);
        display: grid;
        grid-column-gap: 30px;
    }
    .footer-container{
        grid-template-columns: auto 300px;
        display: grid;
        grid-column-gap: 30px;
    }

    .grid-container.testimonianza{
        grid-template-columns: repeat(3, 1fr);
        display: grid;
        grid-column-gap: 30px;
    }
    
    .grid-container-2-prodotto_griglia .images{
        grid-column: 1/2;
        grid-row: 1/3;
    }
        
    .grid-contatti{
        grid-template-columns: 3fr 2fr;
        column-gap: 25px;
    }
    
    
    /*.grid-container-2-prodotto_griglia .summary.entry-summary{
        grid-column: 2/3;
        grid-row: 1/2;
    }
    .grid-container-2-prodotto_griglia .woocommerce-tabs{
        grid-column: 2/3;
        grid-row: 2/3;
    }*/
    .grid-container-2-prodotto_griglia .descr{
        grid-column: 2/3;
        grid-row: 1/3;
    }
    
    #newsletter .grid-container{
        grid-template-columns: 1fr 2fr;
        display: grid;
        grid-column-gap: 30px;
    }
    
    .singolo_slide{
        width: 100%  !important;
    }
    .menu_footer{
        border-top: 1px solid;
        grid-template-columns: repeat(3, 1fr);
        grid-column-gap: 15px;
        padding-top: 30px;
    }
    /*SUB MENU GRID*/
    .sub-menu {
        display: none;
        position: absolute;
        background-color: #f9f9f9f2;
        min-width: 160px;
        box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
        z-index: 11;
    }

    .sub-menu a {
        color: black;
        padding: 12px 16px;
        text-decoration: none;
        display: block;
        text-align: left;
    }

    .sub-menu a:hover {background-color: #f1f1f1}

    #menu-main-menu>li:hover .sub-menu,
    #menu-main-menu-inglese>li:hover .sub-menu {
        display: block;
    }
    .sub-menu a{
        color: #000 !important;
        font-weight: normal !important;
    }
    .sub-menu li{
        padding: 0 !important;
        width: 100%;
    }
    
}



@media (max-width: 1499px) {
    .grid-container {
        display: grid;
        width: 90%;
        margin: 0 auto;
    }
    .grid-container-small {
        display: grid;
        width: 60%;
        margin: 0 auto;
    }
    .grid-product-list{
        grid-template-columns: 1fr 1fr;
        display: grid;
        grid-column-gap: 10px;
    }
}
@media (max-width: 1200px){
    .grid-container-small {
        width: 75%;
    }
}

@media (max-width: 899px) { 
    
    .fascia-top-pagine-2020 {
        margin-top: -90px;
    }
    .grid-service-list-2.prodotti{
        grid-template-columns: 1fr 1fr;
        display: grid;
        column-gap: 30px;
        row-gap: 30px;
    }
    .grid-container-3-1, .grid-container-2-3{
        grid-template-columns: 1fr;
        display: grid;
    }
    .grid-tablet-2col{
        grid-template-columns: 1fr 1fr;
        display: grid;
        row-gap: 30px;
        column-gap: 30px;
    }
    
    
    .menu_header{
        display: none;
    }
    .grid-product-list{
        grid-template-columns: 1fr;
        display: grid;
    }
    
    .grid-container-2-prodotto_griglia{
        grid-template-columns: 1fr;
        grid-template-rows: auto auto auto auto;
    }
    .grid-container-100 {
        display: block;
        width: 100%;
        margin: 0 auto;
    }
    .grid-container-8-4{
        grid-template-columns: 1fr;
        display: grid;
    }
    .grid-container-3-logo {
        grid-template-columns: 1fr 1fr;
        grid-template-rows: auto;
    }
    .grid-container-3-logo .grid-item, .grid-container-2.messaggio_top .grid-item{
        margin-top: 5px;
        margin-bottom: 5px;
    }
    .grid-container-2.messaggio_top{
        grid-template-columns: 1fr 2fr;
        grid-template-rows: auto;
    }
    .menu_footer{
       grid-template-columns: 1fr; 
       grid-column-gap: 20px;
    }
}

@media (max-width: 700px){
    .grid-container-small {
        width: 90%;
    }
    
}

@media (max-width: 600px) { 
    .grid-service-list-2{
        display: grid;
        column-gap: 30px;
        row-gap: 30px;
    } 
    .grid-service-list-2.prodotti{
        grid-template-columns: 1fr;
        display: grid;
        
    }
}
@media (max-width: 400px) {  
    .grid-tablet-2col{
        grid-template-columns: 1fr;
        display: grid;
    }
}
